Update Webhook
PUT
/api/v1/webhooks/{webhook_id}
const url = 'https://api.qeychain.xyz/api/v1/webhooks/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PUT', headers: {'Content-Type': 'application/json'}, body: '{"url":"example","events":["example"],"addresses_filter":["example"],"description":"example","headers":{"additionalProperty":"example"},"is_active":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.qeychain.xyz/api/v1/webhooks/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Content-Type: application/json' \ --data '{ "url": "example", "events": [ "example" ], "addresses_filter": [ "example" ], "description": "example", "headers": { "additionalProperty": "example" }, "is_active": true }'Update webhook settings.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”webhook_id
required
Webhook Id
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
UpdateWebhookRequest
Request to update a webhook.
object
Examplegenerated
{ "url": "example", "events": [ "example" ], "addresses_filter": [ "example" ], "description": "example", "headers": { "additionalProperty": "example" }, "is_active": true}Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Response Update Webhook Api V1 Webhooks Webhook Id Put
object
key
additional properties
any
Examplegenerated
{}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}